Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 172217 - Review Request: xchat-gnome
Summary: Review Request: xchat-gnome
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL: http://xchat-gnome.navi.cx/
Whiteboard:
: 172873 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-11-01 17:19 UTC by Brian Pepple
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-13 05:40:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Spec File for Xchat Gnome (deleted)
2005-11-10 22:13 UTC, Ryan Skadberg
no flags Details

Description Brian Pepple 2005-11-01 17:19:46 UTC
Spec Name or Url: http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome.spec
SRPM Name or Url: http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome-0.6-1.src.rpm
Description: GNOME front-end to xchat.  Note dbus support is disabled, since the dbus version if FC4 isn't current enough.  Just change the dbus variable to build the plugin in devel.

Comment 1 Bastien Nocera 2005-11-10 19:20:23 UTC
I have also got a request for review in bug #172873 for this same package.

Comment 2 Bastien Nocera 2005-11-10 19:23:07 UTC
*** Bug 172873 has been marked as a duplicate of this bug. ***

Comment 3 Brian Pepple 2005-11-10 21:42:26 UTC
Made some changes based on Bastien's spec.

Spec Name or Url:
http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome.spec

SRPM Name or Url:
http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome-0.6-2.src.rpm

Comment 4 Ryan Skadberg 2005-11-10 22:13:22 UTC
Created attachment 120911 [details]
Spec File for Xchat Gnome

Some fixes to build on dbus-enabled systems, as well as follow the dbus enabled
flag no matter what is available.

Comment 5 Brian Pepple 2005-11-10 22:44:27 UTC
Add changes from Ryan's suggestion:

Spec Name or Url:
http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome.spec

SRPM Name or Url:
http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome-0.6-3.src.rpm

* Thu Nov 10 2005 Brian Pepple <bdpepple> - 0.6-3
- Add xchat-remote to files, and re-add dbus config flag.

Comment 6 Brian Pepple 2005-11-10 22:50:46 UTC
Comment on attachment 120911 [details]
Spec File for Xchat Gnome

Suggestions merged.

Comment 7 Jeremy Katz 2005-11-12 04:05:19 UTC
Hmm... it would be better if this didn't obsolete xchat as that technically
makes the package conflict with stuff shipped in Core.  As it stands, the only
things which actually conflict are the perl and python plugins -- that should be
a relatively simple patch.  

Comment 8 Brian Pepple 2005-11-12 04:36:28 UTC
When I began to pack this originally I patched it to use /usr/share/xchat-gnome,
instead of /usr/share/xchat, which solves the conflict of the plugins, but it
still runs into the problem of sharing conf files with the xchat package in
core.  If users had both packages installed (which I would hope most wouldn't),
they could experience some unexpected behavior, since they are both packages are
modifying the same conf files.  My solution was to allow only one of these
packages on a system, but if somebody's got a better solution I'd have no
problem.  BTW, I noticed Bastien had the same basic solution on his spec, by
having it conflict with xchat.

Comment 9 Michael A. Peters 2005-11-12 04:43:46 UTC
Is there a reason why it can't be patched to use a config file of a different
name? Sometimes it even can be set with a configure switch - but if not, you
should be able to grep the source and find where the name of the config file is
set, and patch it to use a non conflicting name.

There may be reasons why some machines might want both installed - machines used
by multiple users.

Comment 10 Jeremy Katz 2005-11-12 04:48:51 UTC
That's easy enough to change also -- it looks like the default dir is defined at
the top of src/common/cfgfiles.c.  

Also -- if they use the same config dir, then people switching from one to the
other could have problems if the config files aren't compatible so it probably
makes sense to do the change anyway.

Comment 11 Brian Pepple 2005-11-12 05:08:47 UTC
Jeremy, thanks for the input.  I've already got a patch changing the %{_datadir}
for xchat-gnome.  Tomorrow, I'll  work on a patch for changing the config file
directory as you suggested in comment #10, and hopefully have some uploaded
tomorrow night.

Comment 12 Brian Pepple 2005-11-12 05:31:39 UTC
Jeremy, After glancing at the file you pointed out in comment #10, I figured I
would whip up a quick patch since only 1 line is effected.

Spec Name or Url:
http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome.spec

SRPM Name or Url:
http://piedmont.homelinux.org/fedora/xchat-gnome/xchat-gnome-0.6-4.src.rpm

* Sat Nov 12 2005 Brian Pepple <bdpepple> - 0.6-4
- Remove obsoletes xchat.
- Add patch to change datadir location.
- Add patch to change config dir.

Comment 13 Jeremy Katz 2005-11-12 14:27:44 UTC
Looks pretty good.  Going through the guidelines, nothing jumps out at me as not
matching.  My only (minor) comment would be that if you want to share the spec
file between releases, you might want to wrap the define with_dbus with
something like

%if "%fedora" >= "5"
    %define with_dbus 1
%else
    %define with_dbus 0
%endif


But that's definitely up to you to decide.  I'll approve it in its current state.

Comment 14 Brian Pepple 2005-11-12 14:39:17 UTC
That's a good idea, I'll add that after I import it into CVS.  Thanks for your
time & help, I appreciate it.

Comment 15 Brian Pepple 2005-11-13 05:40:28 UTC
Package built.


Note You need to log in before you can comment on or make changes to this bug.